/* eslint-disable */
/* tslint:disable */
/* auto-generated react proxies */
import { createReactComponent } from './react-component-lib';

import type { JSX } from '@digi/core';

import { defineCustomElements } from '@digi/core/loader';

defineCustomElements();
export const DigiBarChart = /*@__PURE__*/createReactComponent<JSX.DigiBarChart, HTMLDigiBarChartElement>('digi-bar-chart');
export const DigiButton = /*@__PURE__*/createReactComponent<JSX.DigiButton, HTMLDigiButtonElement>('digi-button');
export const DigiCalendar = /*@__PURE__*/createReactComponent<JSX.DigiCalendar, HTMLDigiCalendarElement>('digi-calendar');
export const DigiCalendarWeekView = /*@__PURE__*/createReactComponent<JSX.DigiCalendarWeekView, HTMLDigiCalendarWeekViewElement>('digi-calendar-week-view');
export const DigiChartLine = /*@__PURE__*/createReactComponent<JSX.DigiChartLine, HTMLDigiChartLineElement>('digi-chart-line');
export const DigiCode = /*@__PURE__*/createReactComponent<JSX.DigiCode, HTMLDigiCodeElement>('digi-code');
export const DigiCodeBlock = /*@__PURE__*/createReactComponent<JSX.DigiCodeBlock, HTMLDigiCodeBlockElement>('digi-code-block');
export const DigiCodeExample = /*@__PURE__*/createReactComponent<JSX.DigiCodeExample, HTMLDigiCodeExampleElement>('digi-code-example');
export const DigiExpandableAccordion = /*@__PURE__*/createReactComponent<JSX.DigiExpandableAccordion, HTMLDigiExpandableAccordionElement>('digi-expandable-accordion');
export const DigiFormCheckbox = /*@__PURE__*/createReactComponent<JSX.DigiFormCheckbox, HTMLDigiFormCheckboxElement>('digi-form-checkbox');
export const DigiFormFieldset = /*@__PURE__*/createReactComponent<JSX.DigiFormFieldset, HTMLDigiFormFieldsetElement>('digi-form-fieldset');
export const DigiFormFilter = /*@__PURE__*/createReactComponent<JSX.DigiFormFilter, HTMLDigiFormFilterElement>('digi-form-filter');
export const DigiFormFilterPresentational = /*@__PURE__*/createReactComponent<JSX.DigiFormFilterPresentational, HTMLDigiFormFilterPresentationalElement>('digi-form-filter-presentational');
export const DigiFormInput = /*@__PURE__*/createReactComponent<JSX.DigiFormInput, HTMLDigiFormInputElement>('digi-form-input');
export const DigiFormInputSearch = /*@__PURE__*/createReactComponent<JSX.DigiFormInputSearch, HTMLDigiFormInputSearchElement>('digi-form-input-search');
export const DigiFormLabel = /*@__PURE__*/createReactComponent<JSX.DigiFormLabel, HTMLDigiFormLabelElement>('digi-form-label');
export const DigiFormRadiobutton = /*@__PURE__*/createReactComponent<JSX.DigiFormRadiobutton, HTMLDigiFormRadiobuttonElement>('digi-form-radiobutton');
export const DigiFormRadiogroup = /*@__PURE__*/createReactComponent<JSX.DigiFormRadiogroup, HTMLDigiFormRadiogroupElement>('digi-form-radiogroup');
export const DigiFormSelect = /*@__PURE__*/createReactComponent<JSX.DigiFormSelect, HTMLDigiFormSelectElement>('digi-form-select');
export const DigiFormTextarea = /*@__PURE__*/createReactComponent<JSX.DigiFormTextarea, HTMLDigiFormTextareaElement>('digi-form-textarea');
export const DigiFormValidationMessage = /*@__PURE__*/createReactComponent<JSX.DigiFormValidationMessage, HTMLDigiFormValidationMessageElement>('digi-form-validation-message');
export const DigiIcon = /*@__PURE__*/createReactComponent<JSX.DigiIcon, HTMLDigiIconElement>('digi-icon');
export const DigiIconBars = /*@__PURE__*/createReactComponent<JSX.DigiIconBars, HTMLDigiIconBarsElement>('digi-icon-bars');
export const DigiIconCheck = /*@__PURE__*/createReactComponent<JSX.DigiIconCheck, HTMLDigiIconCheckElement>('digi-icon-check');
export const DigiIconCheckCircleRegAlt = /*@__PURE__*/createReactComponent<JSX.DigiIconCheckCircleRegAlt, HTMLDigiIconCheckCircleRegAltElement>('digi-icon-check-circle-reg-alt');
export const DigiIconCheckCircleSolid = /*@__PURE__*/createReactComponent<JSX.DigiIconCheckCircleSolid, HTMLDigiIconCheckCircleSolidElement>('digi-icon-check-circle-solid');
export const DigiIconChevronDown = /*@__PURE__*/createReactComponent<JSX.DigiIconChevronDown, HTMLDigiIconChevronDownElement>('digi-icon-chevron-down');
export const DigiIconChevronLeft = /*@__PURE__*/createReactComponent<JSX.DigiIconChevronLeft, HTMLDigiIconChevronLeftElement>('digi-icon-chevron-left');
export const DigiIconChevronRight = /*@__PURE__*/createReactComponent<JSX.DigiIconChevronRight, HTMLDigiIconChevronRightElement>('digi-icon-chevron-right');
export const DigiIconChevronUp = /*@__PURE__*/createReactComponent<JSX.DigiIconChevronUp, HTMLDigiIconChevronUpElement>('digi-icon-chevron-up');
export const DigiIconCopy = /*@__PURE__*/createReactComponent<JSX.DigiIconCopy, HTMLDigiIconCopyElement>('digi-icon-copy');
export const DigiIconDangerOutline = /*@__PURE__*/createReactComponent<JSX.DigiIconDangerOutline, HTMLDigiIconDangerOutlineElement>('digi-icon-danger-outline');
export const DigiIconDownload = /*@__PURE__*/createReactComponent<JSX.DigiIconDownload, HTMLDigiIconDownloadElement>('digi-icon-download');
export const DigiIconExclamationCircleFilled = /*@__PURE__*/createReactComponent<JSX.DigiIconExclamationCircleFilled, HTMLDigiIconExclamationCircleFilledElement>('digi-icon-exclamation-circle-filled');
export const DigiIconExclamationTriangle = /*@__PURE__*/createReactComponent<JSX.DigiIconExclamationTriangle, HTMLDigiIconExclamationTriangleElement>('digi-icon-exclamation-triangle');
export const DigiIconExclamationTriangleWarning = /*@__PURE__*/createReactComponent<JSX.DigiIconExclamationTriangleWarning, HTMLDigiIconExclamationTriangleWarningElement>('digi-icon-exclamation-triangle-warning');
export const DigiIconExternalLinkAlt = /*@__PURE__*/createReactComponent<JSX.DigiIconExternalLinkAlt, HTMLDigiIconExternalLinkAltElement>('digi-icon-external-link-alt');
export const DigiIconMinus = /*@__PURE__*/createReactComponent<JSX.DigiIconMinus, HTMLDigiIconMinusElement>('digi-icon-minus');
export const DigiIconNotificationSucces = /*@__PURE__*/createReactComponent<JSX.DigiIconNotificationSucces, HTMLDigiIconNotificationSuccesElement>('digi-icon-notification-succes');
export const DigiIconNotificationWarning = /*@__PURE__*/createReactComponent<JSX.DigiIconNotificationWarning, HTMLDigiIconNotificationWarningElement>('digi-icon-notification-warning');
export const DigiIconPaperclip = /*@__PURE__*/createReactComponent<JSX.DigiIconPaperclip, HTMLDigiIconPaperclipElement>('digi-icon-paperclip');
export const DigiIconPlus = /*@__PURE__*/createReactComponent<JSX.DigiIconPlus, HTMLDigiIconPlusElement>('digi-icon-plus');
export const DigiIconSearch = /*@__PURE__*/createReactComponent<JSX.DigiIconSearch, HTMLDigiIconSearchElement>('digi-icon-search');
export const DigiIconSpinner = /*@__PURE__*/createReactComponent<JSX.DigiIconSpinner, HTMLDigiIconSpinnerElement>('digi-icon-spinner');
export const DigiIconTrash = /*@__PURE__*/createReactComponent<JSX.DigiIconTrash, HTMLDigiIconTrashElement>('digi-icon-trash');
export const DigiIconValidationSuccess = /*@__PURE__*/createReactComponent<JSX.DigiIconValidationSuccess, HTMLDigiIconValidationSuccessElement>('digi-icon-validation-success');
export const DigiIconX = /*@__PURE__*/createReactComponent<JSX.DigiIconX, HTMLDigiIconXElement>('digi-icon-x');
export const DigiLayoutBlock = /*@__PURE__*/createReactComponent<JSX.DigiLayoutBlock, HTMLDigiLayoutBlockElement>('digi-layout-block');
export const DigiLayoutColumns = /*@__PURE__*/createReactComponent<JSX.DigiLayoutColumns, HTMLDigiLayoutColumnsElement>('digi-layout-columns');
export const DigiLayoutContainer = /*@__PURE__*/createReactComponent<JSX.DigiLayoutContainer, HTMLDigiLayoutContainerElement>('digi-layout-container');
export const DigiLayoutMediaObject = /*@__PURE__*/createReactComponent<JSX.DigiLayoutMediaObject, HTMLDigiLayoutMediaObjectElement>('digi-layout-media-object');
export const DigiLink = /*@__PURE__*/createReactComponent<JSX.DigiLink, HTMLDigiLinkElement>('digi-link');
export const DigiLinkExternal = /*@__PURE__*/createReactComponent<JSX.DigiLinkExternal, HTMLDigiLinkExternalElement>('digi-link-external');
export const DigiLinkInternal = /*@__PURE__*/createReactComponent<JSX.DigiLinkInternal, HTMLDigiLinkInternalElement>('digi-link-internal');
export const DigiLoaderSkeleton = /*@__PURE__*/createReactComponent<JSX.DigiLoaderSkeleton, HTMLDigiLoaderSkeletonElement>('digi-loader-skeleton');
export const DigiLoaderSpinner = /*@__PURE__*/createReactComponent<JSX.DigiLoaderSpinner, HTMLDigiLoaderSpinnerElement>('digi-loader-spinner');
export const DigiMediaFigure = /*@__PURE__*/createReactComponent<JSX.DigiMediaFigure, HTMLDigiMediaFigureElement>('digi-media-figure');
export const DigiMediaImage = /*@__PURE__*/createReactComponent<JSX.DigiMediaImage, HTMLDigiMediaImageElement>('digi-media-image');
export const DigiNavigationContextMenu = /*@__PURE__*/createReactComponent<JSX.DigiNavigationContextMenu, HTMLDigiNavigationContextMenuElement>('digi-navigation-context-menu');
export const DigiNavigationContextMenuItem = /*@__PURE__*/createReactComponent<JSX.DigiNavigationContextMenuItem, HTMLDigiNavigationContextMenuItemElement>('digi-navigation-context-menu-item');
export const DigiNavigationSidebar = /*@__PURE__*/createReactComponent<JSX.DigiNavigationSidebar, HTMLDigiNavigationSidebarElement>('digi-navigation-sidebar');
export const DigiNavigationSidebarButton = /*@__PURE__*/createReactComponent<JSX.DigiNavigationSidebarButton, HTMLDigiNavigationSidebarButtonElement>('digi-navigation-sidebar-button');
export const DigiNavigationVerticalMenu = /*@__PURE__*/createReactComponent<JSX.DigiNavigationVerticalMenu, HTMLDigiNavigationVerticalMenuElement>('digi-navigation-vertical-menu');
export const DigiNavigationVerticalMenuItem = /*@__PURE__*/createReactComponent<JSX.DigiNavigationVerticalMenuItem, HTMLDigiNavigationVerticalMenuItemElement>('digi-navigation-vertical-menu-item');
export const DigiProgressIndicator = /*@__PURE__*/createReactComponent<JSX.DigiProgressIndicator, HTMLDigiProgressIndicatorElement>('digi-progress-indicator');
export const DigiProgressStep = /*@__PURE__*/createReactComponent<JSX.DigiProgressStep, HTMLDigiProgressStepElement>('digi-progress-step');
export const DigiProgressSteps = /*@__PURE__*/createReactComponent<JSX.DigiProgressSteps, HTMLDigiProgressStepsElement>('digi-progress-steps');
export const DigiProgressbar = /*@__PURE__*/createReactComponent<JSX.DigiProgressbar, HTMLDigiProgressbarElement>('digi-progressbar');
export const DigiTag = /*@__PURE__*/createReactComponent<JSX.DigiTag, HTMLDigiTagElement>('digi-tag');
export const DigiTypography = /*@__PURE__*/createReactComponent<JSX.DigiTypography, HTMLDigiTypographyElement>('digi-typography');
export const DigiTypographyMeta = /*@__PURE__*/createReactComponent<JSX.DigiTypographyMeta, HTMLDigiTypographyMetaElement>('digi-typography-meta');
export const DigiTypographyPreamble = /*@__PURE__*/createReactComponent<JSX.DigiTypographyPreamble, HTMLDigiTypographyPreambleElement>('digi-typography-preamble');
export const DigiTypographyTime = /*@__PURE__*/createReactComponent<JSX.DigiTypographyTime, HTMLDigiTypographyTimeElement>('digi-typography-time');
export const DigiUtilBreakpointObserver = /*@__PURE__*/createReactComponent<JSX.DigiUtilBreakpointObserver, HTMLDigiUtilBreakpointObserverElement>('digi-util-breakpoint-observer');
export const DigiUtilDetectClickOutside = /*@__PURE__*/createReactComponent<JSX.DigiUtilDetectClickOutside, HTMLDigiUtilDetectClickOutsideElement>('digi-util-detect-click-outside');
export const DigiUtilDetectFocusOutside = /*@__PURE__*/createReactComponent<JSX.DigiUtilDetectFocusOutside, HTMLDigiUtilDetectFocusOutsideElement>('digi-util-detect-focus-outside');
export const DigiUtilIntersectionObserver = /*@__PURE__*/createReactComponent<JSX.DigiUtilIntersectionObserver, HTMLDigiUtilIntersectionObserverElement>('digi-util-intersection-observer');
export const DigiUtilKeydownHandler = /*@__PURE__*/createReactComponent<JSX.DigiUtilKeydownHandler, HTMLDigiUtilKeydownHandlerElement>('digi-util-keydown-handler');
export const DigiUtilKeyupHandler = /*@__PURE__*/createReactComponent<JSX.DigiUtilKeyupHandler, HTMLDigiUtilKeyupHandlerElement>('digi-util-keyup-handler');
export const DigiUtilMutationObserver = /*@__PURE__*/createReactComponent<JSX.DigiUtilMutationObserver, HTMLDigiUtilMutationObserverElement>('digi-util-mutation-observer');
export const DigiUtilResizeObserver = /*@__PURE__*/createReactComponent<JSX.DigiUtilResizeObserver, HTMLDigiUtilResizeObserverElement>('digi-util-resize-observer');
